Skip to main content
GET
https://{tenantDomain}/api/v2
/
guardian
/
factors
Go
package example

import (
    client "github.com/auth0/go-auth0/management/client"
    option "github.com/auth0/go-auth0/management/option"
    context "context"
)

func do() () {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    client.Guardian.Factors.List(
        context.TODO(),
    )
}
[
  {
    "enabled": true,
    "trial_expired": true,
    "name": "sms"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Factors successfully retrieved.

enabled
boolean
default:true
required

Whether this factor is enabled (true) or disabled (false).

trial_expired
boolean
default:true

Whether trial limits have been exceeded.

name
enum<string>
default:sms

Factor name. Can be sms, push-notification, email, duo otp webauthn-roaming, webauthn-platform, or recovery-code.

Available options:
push-notification,
sms,
email,
duo,
otp,
webauthn-roaming,
webauthn-platform,
recovery-code
Minimum string length: 1